Update the FPolicy server status
Updates the status of an FPolicy server to manage its operational state. This is typically used when configuring or troubleshooting FPolicy server connections.
HTTP method and endpoint
PATCH /protocols/fpolicy/{svm.uuid}/connections/{node.uuid}/{policy.name}/{server}
Introduced in
ONTAP 9.10
Related ONTAP commands
-
vserver fpolicy engine-connect -
vserver fpolicy engine-disconnect
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
node.uuid |
string |
path |
True |
Node UUID. |
policy.name |
string |
path |
True |
Policy name |
server |
string |
path |
True |
FPolicy Server IP address |
Request Body
| Name | Type | Description |
|---|---|---|
disconnected_reason |
Indicates the reason for FPolicy server disconnection. |
|
node |
||
server |
string |
IP address of the FPolicy server. |
session_uuid |
string |
Unique session ID associated with each connection to the FPolicy server and it can be used to identify the established connection. |
state |
string |
Specifies the FPolicy server connection state indicating if it is in the connected or disconnected state. The following is a list of the possible states:
|
svm |
||
type |
string |
FPolicy server type. The possible values are:
|
update_time |
string |
Specifies the time at which FPolicy server is connected or disconnected. |
Example request
{
"disconnected_reason": {
"code": 9370,
"message": "TCP Connection to FPolicy server failed."
},
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"server": "10.132.145.20",
"session_uuid": "5224ec64-b336-11eb-841c-0050568e14c2",
"state": "connected",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"type": "primary",
"update_time": "2019-06-12T11:00:16-04:00"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
9764954 |
The specified policy does not exist |
9764911 |
Failed to connect to the FPolicy server. Reason: The specified entry does not exist |
9764948 |
The specified policy is disabled. Using a disabled policy with this command is not supported. Use the 'fpolicy enable' command to enable the policy |
9764912 |
Failed to disconnect the FPolicy server. Reason: The specified entry does not exist |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
disconnected_reason
Indicates the reason for FPolicy server disconnection.
| Name | Type | Description |
|---|---|---|
code |
integer |
Reason ID for the FPolicy Server disconnection. |
message |
string |
FPolicy server reason for disconnection message. |
node
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
self_link
fpolicy_policy_reference
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the FPolicy Policy name. |
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
fpolicy_connection
Displays the connection status information of the FPolicy server.
| Name | Type | Description |
|---|---|---|
disconnected_reason |
Indicates the reason for FPolicy server disconnection. |
|
node |
||
server |
string |
IP address of the FPolicy server. |
session_uuid |
string |
Unique session ID associated with each connection to the FPolicy server and it can be used to identify the established connection. |
state |
string |
Specifies the FPolicy server connection state indicating if it is in the connected or disconnected state. The following is a list of the possible states:
|
svm |
||
type |
string |
FPolicy server type. The possible values are:
|
update_time |
string |
Specifies the time at which FPolicy server is connected or disconnected. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |